## net.i2p.BOB
Class TCPtoI2P

    java.lang.Object
      net.i2p.BOB.TCPtoI2P

All Implemented Interfaces:
  Runnable

    public class TCPtoI2P

extends Object
implements Runnable

Process TCP->I2P

Author:
  sponge

Constructor Summary
`TCPtoI2P(I2PSocketManager i2p, Socket socket, NamedDB info, NamedDB database, AtomicBoolean lives)` Constructor

Method Summary
`void` `run()` TCP stream to I2P stream thread starter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TCPtoI2P

    TCPtoI2P(I2PSocketManager i2p,
             Socket socket,
             NamedDB info,
             NamedDB database,
             AtomicBoolean lives)

  Constructor

  Parameters:
    `i2p` -
    `socket` - param info param database

Method Detail

### run

    public void run()

  TCP stream to I2P stream thread starter

  Specified by:
    `run` in interface `Runnable`